{% extends 'layouts/philosophy.html.twig' %}

{% block title %}Log in!{% endblock %}

{% block content %}
    <section class="s-content">

        <div class="row narrow">
            <div class="col-full s-content__header" data-aos="fade-up">
                <h1>Connectez-vous</h1>
            </div>
        </div>
        <div class="row justify-content-center">
            <div class="col-4">
                <form method="post">
                    {% if error %}
                        <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
                    {% endif %}

                    {% if app.user %}
                        <div class="mb-3">
                            You are logged in as {{ app.user.userIdentifier }}, <a href="{{ path('app_logout') }}">Logout</a>
                        </div>
                    {% endif %}
                    <label for="inputEmail">Email</label>
                    <input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="form-control"
                           autocomplete="email" required autofocus>
                    <label for="inputPassword">Password</label>
                    <input type="password" name="password" id="inputPassword" class="form-control"
                           autocomplete="current-password" required>

                    <input type="hidden" name="_csrf_token"
                           value="{{ csrf_token('authenticate') }}"
                    >

                    <button class="btn btn-lg btn-primary" type="submit">
                        Sign in
                    </button>
                </form>
            </div>
        </div>
    </section>
{% endblock %}
